Update person type
curl --request PUT \
--url https://api.cadanapay.com/v1/persons/{personId}/type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newType": "CONTRACTOR",
"compInfo": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
}
}
'import requests
url = "https://api.cadanapay.com/v1/persons/{personId}/type"
payload = {
"newType": "CONTRACTOR",
"compInfo": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
newType: 'CONTRACTOR',
compInfo: {type: 'net', frequency: 'monthly', employmentModel: 'eor'}
})
};
fetch('https://api.cadanapay.com/v1/persons/{personId}/type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Persons
Update person type
Switch a person’s employment type between employee and contractor. The person must be in Active status. Optionally provide new compensation info. If omitted, incompatible compensation is auto-converted (salaried becomes net, fixed becomes net).
PUT
/
v1
/
persons
/
{personId}
/
type
Update person type
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the person
Body
application/json
The new employment type for the person
Available options:
EMPLOYEE, CONTRACTOR Example:
"CONTRACTOR"
Optional compensation for the new type. If omitted, incompatible compensation is auto-converted (salaried becomes net, fixed becomes net).
Show child attributes
Show child attributes
Response
Person type updated successfully
⌘I